#!/bin/bash
# Script utilisé pour "automatiser" (raccourcir) le processus de pull, d'ajout, de commit et de push pour le répositoire Gitea personnel.
# Ajout de messages et de délais pour mieux se repérer et se situer dans le processus.
# Ajout d'un système de choix
# Ajout d'un export de prxy HTTP/HTTPS automatique vers ceux du lycée pour la machine en salle 214.

export http_proxy="http://10.121.38.1:8080/"
export https_proxy="http://10.121.38.1:8080/"


echo "Voulez-vous récupérer les fichiers du dépôt ou effectuer un push sur le dépôt ? 
[1 = Pull, 2 = Push]"
read answer
echo "Quelle branche est concernée ? [1 = main, 2 = test]"
read branch
if [ $branch == 1 ] ; then
	if [ $answer == 1 ] ; then
		git checkout main
		echo "Récupération des fichiers à jour, branche main..."
		git pull origin main
	else
		git checkout main
		echo "Ajout des fichiers au Gitea..."
		sleep 2
		git add .
		echo "Commit en cours..."
		sleep 2
		git commit
		echo "Push des fichiers au Gitea, branche main..."
		sleep 2
		git push origin main
	fi
else
	if [ $answer == 1 ] ; then
		git checkout test
		echo "Récupération des fichiers à jour dans la branche test..."
		git pull origin test
	else
		git checkout test
		echo "Ajout des fichiers au Gitea, branche test..."
		sleep 2
		git add .
		echo "Commit en cours..."
		sleep 2
		git commit
		echo "Push des fichiers au Gitea, branche test..."
		sleep 2
		git push origin test
	fi
fi